import { JSONSchema7, JSONSchema7TypeName } from "json-schema";
import { DPMConfiguration } from "./main";
export declare enum CountPrecision050 {
    EXACT = "EXACT",
    APPROXIMATE = "APPROXIMATE",
    GREATER_THAN = "GREATER_THAN"
}
export interface StreamStats050 {
    byteCount?: number;
    byteCountPrecision?: CountPrecision050;
    inspectedCount: number;
    recordCount?: number;
    recordCountPrecision?: CountPrecision050;
}
export interface RegistryReference050 {
    url: string;
    catalogSlug: string;
}
export interface StreamSet050 {
    slug: string;
    configuration: DPMConfiguration;
    schemaTitles: string[];
    lastUpdateHash?: string;
    streamStats: StreamStats050;
}
export interface Source050 {
    type: string;
    slug: string;
    configuration?: DPMConfiguration;
    streamSets: StreamSet050[];
}
export interface ContentLabel050 {
    label: string;
    hidden: boolean;
    appliedByContentDetector?: string;
    ocurrenceCount?: number;
    valuesTestedCount?: number;
}
export interface ValueTypeStatistics050 {
    valueType: JSONSchema7TypeName | "date";
    recordCount?: number;
    stringMaxLength?: number;
    stringMinLength?: number;
    numberMaxValue?: number;
    numberMinValue?: number;
    dateMaxValue?: Date;
    dateMinValue?: Date;
    stringOptions?: {
        [key: string]: number;
    };
    contentLabels?: ContentLabel050[];
}
export declare type Properties050 = {
    [key: string]: Schema050;
};
export declare type ValueTypes050 = {
    [key: string]: ValueTypeStatistics050;
};
export interface SchemaIdentifier050 {
    registryUrl: string;
    catalogSlug: string;
    packageSlug: string;
    version: string;
    schemaTitle: string;
}
export interface DerivedFrom050 {
    displayName: string;
    url?: string;
    schemaIdentifier?: SchemaIdentifier050;
}
export interface Schema050 extends JSONSchema7 {
    description?: string;
    properties?: Properties050;
    hidden?: boolean;
    unit?: string;
    recordsInspectedCount?: number;
    recordCount?: number;
    recordsNotPresent?: number;
    recordCountPrecision?: CountPrecision050;
    valueTypes?: ValueTypes050;
    sampleRecords?: {
        [key: string]: unknown;
    }[];
    derivedFromDescription?: string;
    derivedFrom?: DerivedFrom050[];
}
export declare class PackageFile050 {
    $schema: string;
    packageSlug: string;
    displayName: string;
    description: string;
    sources: Source050[];
    schemas: Schema050[];
    version: string;
    generatedBy: string;
    updatedDate: Date;
    readmeFile?: string;
    readmeMarkdown?: string;
    licenseFile?: string;
    licenseMarkdown?: string;
    website?: string;
    contactEmail?: string;
    registries?: RegistryReference050[];
}
