import { JSONSchema7, JSONSchema7TypeName } from "json-schema";
import { DPMConfiguration } from "./main";
export declare enum CountPrecision060 {
    EXACT = "EXACT",
    APPROXIMATE = "APPROXIMATE",
    GREATER_THAN = "GREATER_THAN"
}
export interface StreamStats060 {
    byteCount?: number;
    byteCountPrecision?: CountPrecision060;
    inspectedCount: number;
    recordCount?: number;
    recordCountPrecision?: CountPrecision060;
}
export interface RegistryReference060 {
    url: string;
    catalogSlug: string;
}
export interface StreamSet060 {
    slug: string;
    configuration: DPMConfiguration;
    schemaTitles: string[];
    lastUpdateHash?: string;
    streamStats: StreamStats060;
}
export interface Source060 {
    type: string;
    slug: string;
    connectionConfiguration: DPMConfiguration;
    credentialsIdentifier?: string;
    configuration?: DPMConfiguration;
    streamSets: StreamSet060[];
}
export interface ContentLabel060 {
    label: string;
    hidden: boolean;
    appliedByContentDetector?: string;
    ocurrenceCount?: number;
    valuesTestedCount?: number;
}
export interface ValueTypeStatistics060 {
    valueType: JSONSchema7TypeName | "date";
    recordCount?: number;
    stringMaxLength?: number;
    stringMinLength?: number;
    numberMaxValue?: number;
    numberMinValue?: number;
    dateMaxValue?: Date;
    dateMinValue?: Date;
    stringOptions?: {
        [key: string]: number;
    };
    contentLabels?: ContentLabel060[];
}
export declare type Properties060 = {
    [key: string]: Schema060;
};
export declare type ValueTypes060 = {
    [key: string]: ValueTypeStatistics060;
};
export interface SchemaIdentifier060 {
    registryUrl: string;
    catalogSlug: string;
    packageSlug: string;
    version: string;
    schemaTitle: string;
}
export interface DerivedFrom060 {
    displayName: string;
    url?: string;
    schemaIdentifier?: SchemaIdentifier060;
}
export interface Schema060 extends JSONSchema7 {
    description?: string;
    properties?: Properties060;
    hidden?: boolean;
    unit?: string;
    recordsInspectedCount?: number;
    recordCount?: number;
    recordsNotPresent?: number;
    recordCountPrecision?: CountPrecision060;
    valueTypes?: ValueTypes060;
    sampleRecords?: {
        [key: string]: unknown;
    }[];
    derivedFromDescription?: string;
    derivedFrom?: DerivedFrom060[];
}
export declare class PackageFile060 {
    $schema: string;
    packageSlug: string;
    displayName: string;
    description: string;
    sources: Source060[];
    schemas: Schema060[];
    version: string;
    generatedBy: string;
    updatedDate: Date;
    readmeFile?: string;
    readmeMarkdown?: string;
    licenseFile?: string;
    licenseMarkdown?: string;
    website?: string;
    contactEmail?: string;
    registries?: RegistryReference060[];
}
