import { JSONSchema7, JSONSchema7TypeName } from "json-schema";
import { DPMConfiguration } from "./main";
export declare enum CountPrecision070 {
    EXACT = "EXACT",
    APPROXIMATE = "APPROXIMATE",
    GREATER_THAN = "GREATER_THAN"
}
export declare enum PublishMethod070 {
    SCHEMA_ONLY = "SCHEMA_ONLY",
    SCHEMA_AND_DATA = "SCHEMA_AND_DATA",
    SCHEMA_PROXY_DATA = "SCHEMA_PROXY_DATA"
}
export interface StreamStats070 {
    byteCount?: number;
    byteCountPrecision?: CountPrecision070;
    inspectedCount: number;
    recordCount?: number;
    recordCountPrecision?: CountPrecision070;
}
export interface RegistryReference070 {
    url: string;
    catalogSlug: string;
    publishMethod: PublishMethod070;
}
export interface StreamSet070 {
    slug: string;
    configuration: DPMConfiguration;
    schemaTitles: string[];
    lastUpdateHash?: string;
    streamStats: StreamStats070;
}
export interface Source070 {
    type: string;
    slug: string;
    connectionConfiguration: DPMConfiguration;
    credentialsIdentifier?: string;
    configuration?: DPMConfiguration;
    streamSets: StreamSet070[];
}
export interface ContentLabel070 {
    label: string;
    hidden: boolean;
    appliedByContentDetector?: string;
    ocurrenceCount?: number;
    valuesTestedCount?: number;
}
export interface ValueTypeStatistics070 {
    valueType: JSONSchema7TypeName | "date";
    recordCount?: number;
    stringMaxLength?: number;
    stringMinLength?: number;
    numberMaxValue?: number;
    numberMinValue?: number;
    dateMaxValue?: Date;
    dateMinValue?: Date;
    stringOptions?: {
        [key: string]: number;
    };
    contentLabels?: ContentLabel070[];
}
export declare type Properties070 = {
    [key: string]: Schema070;
};
export declare type ValueTypes070 = {
    [key: string]: ValueTypeStatistics070;
};
export interface MajorVersionIdentifier070 {
    registryUrl: string;
    catalogSlug: string;
    packageSlug: string;
    majorVersion: number;
}
export interface SchemaIdentifier070 extends MajorVersionIdentifier070 {
    schemaTitle: string;
}
export interface DerivedFrom070 {
    displayName: string;
    url?: string;
    schemaIdentifier?: SchemaIdentifier070;
}
export interface Schema070 extends JSONSchema7 {
    description?: string;
    properties?: Properties070;
    hidden?: boolean;
    unit?: string;
    recordsInspectedCount?: number;
    recordCount?: number;
    recordsNotPresent?: number;
    recordCountPrecision?: CountPrecision070;
    valueTypes?: ValueTypes070;
    sampleRecords?: {
        [key: string]: unknown;
    }[];
    derivedFromDescription?: string;
    derivedFrom?: DerivedFrom070[];
}
export declare class PackageFile070 {
    $schema: string;
    packageSlug: string;
    displayName: string;
    description: string;
    sources: Source070[];
    schemas: Schema070[];
    version: string;
    generatedBy: string;
    updatedDate: Date;
    readmeFile?: string;
    readmeMarkdown?: string;
    licenseFile?: string;
    licenseMarkdown?: string;
    website?: string;
    contactEmail?: string;
    registries?: RegistryReference070[];
}
