export declare const PACKAGE_SLUG_REGEX: RegExp;
export declare const COLLECTION_SLUG_REGEX: RegExp;
export declare const CATALOG_SLUG_REGEX: RegExp;
export declare const PACKAGE_SLUG_MAX_LENGTH = 38;
export declare const CATALOG_SLUG_MAX_LENGTH = 38;
export declare const PACKAGE_DESCRIPTION_MAX_LENGTH = 256;
export declare const PACKAGE_DESCRIPTION_MIN_LENGTH = 3;
export declare const PACKAGE_DISPLAY_NAME_MIN_LENGTH = 3;
export declare const PACKAGE_DISPLAY_NAME_MAX_LENGTH = 128;
export declare function usernameValid(username: string | undefined): "USERNAME_REQUIRED" | "USERNAME_TOO_LONG" | "INVALID_CHARACTERS" | true;
export declare function catalogSlugValid(slug: string | undefined): "CATALOG_SLUG_REQUIRED" | "CATALOG_SLUG_TOO_LONG" | "CATALOG_SLUG_INVALID" | true;
export declare function packageSlugValid(slug: string | undefined): "PACKAGE_SLUG_REQUIRED" | "PACKAGE_SLUG_TOO_LONG" | "PACKAGE_SLUG_INVALID" | true;
export declare function collectionSlugValid(slug: string | undefined): "COLLECTION_SLUG_REQUIRED" | "COLLECTION_SLUG_TOO_LONG" | "COLLECTION_SLUG_INVALID" | true;
export declare function passwordValid(password: string | undefined): "PASSWORD_REQUIRED" | "PASSWORD_TOO_LONG" | "INVALID_CHARACTERS" | "PASSWORD_TOO_SHORT" | true;
export declare function emailAddressValid(emailAddress: string | undefined): true | "REQUIRED" | "TOO_LONG" | "INVALID_EMAIL_ADDRESS_FORMAT";
export declare function validateUsernameOrEmail(value: string | undefined): true | "REQUIRED" | "TOO_LONG" | "INVALID_EMAIL_ADDRESS_FORMAT" | "USERNAME_REQUIRED" | "USERNAME_TOO_LONG" | "INVALID_CHARACTERS";
export declare function validPackageDescription(value: string): true | "REQUIRED" | "MUST_BE_STRING" | "TOO_LONG" | "TOO_SHORT";
export declare function validPackageDisplayName(value: string): true | "REQUIRED" | "INVALID_CHARACTERS" | "MUST_BE_STRING" | "TOO_LONG" | "TOO_SHORT";
