"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const mocha_1 = require("mocha");
const NameUtil_1 = require("../src/NameUtil");
describe("Check package suggestion name", () => {
    (0, mocha_1.test)("Package name tests", () => {
        (0, chai_1.expect)((0, NameUtil_1.nameToSlug)("US Federal Websites")).equal("us-federal-websites");
        (0, chai_1.expect)((0, NameUtil_1.nameToSlug)('"-us---------')).equal("us");
        (0, chai_1.expect)((0, NameUtil_1.nameToSlug)("!@#$%^&*_-@#$@#1_2-3!@#$%^&*()-=4567890abcdefghijklmnopqrstuvwxyz~!@#$%^&*()_+-={}|:\"<>?[];',./`'")).equal("1_2-3-4567890abcdefghijklmnopqrstuvwxy");
        (0, chai_1.expect)((0, NameUtil_1.nameToSlug)("This is a very long name that should be much shorter after normalizing")).equal("this-is-a-very-long-name-that-should-b");
        (0, chai_1.expect)((0, NameUtil_1.nameToSlug)("-_-This is a very long name that has dashes at the front that should not be included in the final character count").length).equal(38);
    });
});
//# sourceMappingURL=NameUtil.spec.js.map